Loading...
Searching...
No Matches
AVStereo3D Struct Reference
libavutil » Video related » Stereo3D types and functions

Stereo 3D type: this structure describes how two videos are packed within a single video surface, with additional information as needed. More...

`#include <libavutil/stereo3d.h>`

## Data Fields

enum AVStereo3DType | type
| How views are packed within the video.
int | flags
| Additional information about the frame packing.
enum AVStereo3DView | view
| Determines which views are packed.
enum AVStereo3DPrimaryEye | primary_eye
| Which eye is the primary eye when rendering in 2D.
uint32_t | baseline
| The distance between the centres of the lenses of the camera system, in micrometers.
AVRational | horizontal_disparity_adjustment
| Relative shift of the left and right images, which changes the zero parallax plane.
AVRational | horizontal_field_of_view
| Horizontal field of view, in degrees.

## Detailed Description

Stereo 3D type: this structure describes how two videos are packed within a single video surface, with additional information as needed.

Note
  The struct must be allocated with av_stereo3d_alloc() and its size is not a part of the public ABI.

Definition at line 203 of file stereo3d.h.

## Field Documentation

## type

enum AVStereo3DType AVStereo3D::type

How views are packed within the video.

Definition at line 207 of file stereo3d.h.

## flags

int AVStereo3D::flags

Additional information about the frame packing.

Definition at line 212 of file stereo3d.h.

## view

enum AVStereo3DView AVStereo3D::view

Determines which views are packed.

Definition at line 217 of file stereo3d.h.

## primary_eye

enum AVStereo3DPrimaryEye AVStereo3D::primary_eye

Which eye is the primary eye when rendering in 2D.

Definition at line 222 of file stereo3d.h.

## baseline

uint32_t AVStereo3D::baseline

The distance between the centres of the lenses of the camera system, in micrometers.

Zero if unset.

Definition at line 228 of file stereo3d.h.

## horizontal_disparity_adjustment

AVRational AVStereo3D::horizontal_disparity_adjustment

Relative shift of the left and right images, which changes the zero parallax plane.

Range is -1.0 to 1.0. Zero if unset.

Definition at line 234 of file stereo3d.h.

## horizontal_field_of_view

AVRational AVStereo3D::horizontal_field_of_view

Horizontal field of view, in degrees.

Zero if unset.

Definition at line 239 of file stereo3d.h.

The documentation for this struct was generated from the following file:

- libavutil/stereo3d.h